Skip to main content
GET
/
v1
/
servers
/
{serverId}
/
channels
List channels
curl --request GET \
  --url https://api.magne.app/v1/servers/{serverId}/channels \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "serverId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "topic": "<string>",
    "channelType": "<string>",
    "position": 123,
    "isNsfw": true,
    "slowmodeSeconds": 123,
    "ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "isTemporary": true,
    "isLocked": true,
    "isHidden": true,
    "userLimit": 123,
    "musicLocked": true,
    "createdAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

serverId
string<uuid>
required

Response

Success

id
string<uuid>
serverId
string<uuid>
categoryId
string<uuid> | null
name
string
topic
string | null
channelType
string
position
integer<int32>
isNsfw
boolean
slowmodeSeconds
integer<int32>
ownerId
string<uuid> | null
isTemporary
boolean
isLocked
boolean
isHidden
boolean
userLimit
integer<int32>
musicLocked
boolean
createdAt
string<date-time>